Bug 245805 - net/onedrive: update to 2.4.3
Summary: net/onedrive: update to 2.4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords: buildisok
Depends on:
Blocks: 237427
  Show dependency treegraph
 
Reported: 2020-04-21 22:08 UTC by Hiroo Ono
Modified: 2020-07-28 19:01 UTC (History)
2 users (show)

See Also:
hiroo.ono+freebsd: maintainer-feedback+


Attachments
2.4.0 patch (10.35 KB, patch)
2020-04-21 22:08 UTC, Hiroo Ono
no flags Details | Diff
v1 (12.81 KB, patch)
2020-07-13 16:49 UTC, Mikael Urankar
no flags Details | Diff
2.4.3 patch with pkg-message reworked (7.26 KB, patch)
2020-07-25 06:35 UTC, Hiroo Ono
no flags Details | Diff
2.4.3 patch with pkg-message reworked (3.97 KB, patch)
2020-07-28 00:52 UTC, Hiroo Ono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroo Ono 2020-04-21 22:08:44 UTC
Created attachment 213654 [details]
2.4.0 patch

This is a maintainer update of net/onedrive to 2.4.0.
Comment 1 Automation User 2020-04-22 04:18:10 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/138477793
Comment 2 Mikael Urankar freebsd_committer 2020-07-13 16:49:04 UTC
Created attachment 216422 [details]
v1

update to 2.4.3
Comment 3 Hiroo Ono 2020-07-14 20:30:37 UTC
(In reply to Mikael Urankar from comment #2)
Thank you. I verified that it builds and runs fine.
Comment 4 Mikael Urankar freebsd_committer 2020-07-16 17:27:17 UTC
I think the pkg-message needs to be reworked, the information is only useful when upgrading from 2.4.3?
Comment 5 Hiroo Ono 2020-07-25 06:35:43 UTC
Created attachment 216756 [details]
2.4.3 patch with pkg-message reworked

Changed pkg-message a little. Specified the version.
Comment 6 Mikael Urankar freebsd_committer 2020-07-25 12:48:58 UTC
pkg-message is missing
Comment 7 Hiroo Ono 2020-07-28 00:52:30 UTC
Created attachment 216822 [details]
2.4.3 patch with pkg-message reworked

Sorry. 3 new files were not included.
Comment 8 commit-hook freebsd_committer 2020-07-28 18:50:33 UTC
A commit references this bug:

Author: mikael
Date: Tue Jul 28 18:49:42 UTC 2020
New revision: 543628
URL: https://svnweb.freebsd.org/changeset/ports/543628

Log:
  net/onedrive: update to 2.4.3

  PR:		245805
  Submitted by:	Hiroo Ono <hiroo.ono+freebsd@gmail.com> (maintainer)

Changes:
  head/net/onedrive/Makefile
  head/net/onedrive/distinfo
  head/net/onedrive/files/freebsd_inotify.d
  head/net/onedrive/files/patch-Makefile
  head/net/onedrive/files/patch-Makefile.in
  head/net/onedrive/files/patch-configure.ac
  head/net/onedrive/pkg-descr
  head/net/onedrive/pkg-message
  head/net/onedrive/pkg-plist